curl -L -X POST 'https://api.turso.tech/v1/organizations/{organizationSlug}/groups' \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "new-group",
"location": "lhr"
}'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const group = await turso.groups.create("new-group", {
location: "lhr",
extensions: ["vector", "uuid"], // 'all'
});
{
"group": {
"name": "default",
"version": "v0.23.7",
"uuid": "0a28102d-6906-11ee-8553-eaa7715aeaf2",
"locations": [
"aws-us-east-1"
],
"primary": "us-east-1",
"delete_protection": false
}
}{
"error": "group already exists"
}Groups
Create Group
Creates a new group for the organization or user.
POST
/
v1
/
organizations
/
{organizationSlug}
/
groups
curl -L -X POST 'https://api.turso.tech/v1/organizations/{organizationSlug}/groups' \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "new-group",
"location": "lhr"
}'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const group = await turso.groups.create("new-group", {
location: "lhr",
extensions: ["vector", "uuid"], // 'all'
});
{
"group": {
"name": "default",
"version": "v0.23.7",
"uuid": "0a28102d-6906-11ee-8553-eaa7715aeaf2",
"locations": [
"aws-us-east-1"
],
"primary": "us-east-1",
"delete_protection": false
}
}{
"error": "group already exists"
}Creating more than one group is limited to Scaler, Pro and Enterprise plans.
curl -L -X POST 'https://api.turso.tech/v1/organizations/{organizationSlug}/groups' \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "new-group",
"location": "lhr"
}'
import { createClient } from "@tursodatabase/api";
const turso = createClient({
org: "...",
token: "",
});
const group = await turso.groups.create("new-group", {
location: "lhr",
extensions: ["vector", "uuid"], // 'all'
});
Authorizations
Body
application/json
Group data to create a new group
The extensions to enable for new databases created in this group. Users looking to enable vector extensions should instead use the native libSQL vector datatype.
Available options:
all Was this page helpful?